FreeMat

- Main Page
- Related Pages

vtkAddMembershipArray

Section: Visualization Toolkit Infovis Classes

# Usage

This filter takes an input selection, vtkDataSetAttribute information, and data object and adds a bit array to the output vtkDataSetAttributes indicating whether each index was selected or not.

To create an instance of class vtkAddMembershipArray, simply invoke its constructor as follows

      obj = vtkAddMembershipArray

# Methods

The class vtkAddMembershipArray has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkAddMembershipArray class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkAddMembershipArray = obj.NewInstance ()`
- `vtkAddMembershipArray = obj.SafeDownCast (vtkObject o)`
- `int = obj.GetFieldType ()` - The field type to add the membership array to.
- `obj.SetFieldType (int )` - The field type to add the membership array to.
- `int = obj.GetFieldTypeMinValue ()` - The field type to add the membership array to.
- `int = obj.GetFieldTypeMaxValue ()` - The field type to add the membership array to.
- `obj.SetOutputArrayName (string )` - The name of the array added to the output vtkDataSetAttributes indicating membership. Defaults to "membership".
- `string = obj.GetOutputArrayName ()` - The name of the array added to the output vtkDataSetAttributes indicating membership. Defaults to "membership".
- `obj.SetInputArrayName (string )`
- `string = obj.GetInputArrayName ()`
- `obj.SetInputValues (vtkAbstractArray )`
- `vtkAbstractArray = obj.GetInputValues ()`